create_rectangle

Primitives3DLayout.create_rectangle(layername, origin, dimensions, corner_radius=0, angle=0, name=None, netname=None)[source]

Create a rectangle on a layer.

Parameters
layernamestr

Name of the layer.

originlist

Origin of the coordinate system in a list of [x, y, z] coordinates.

dimensionslist

Dimensions for the box in a list of [x, y, z] coordinates.

corner_radiusfloat, optional
anglefloat, optional

Angle rotation in degrees. The default is 0.

namestr, optional

Name of the rectangle. The default is None, in which case the default name is assigned.

netnamestr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns
str

Name of the rectangle created when successful.

References

>>> oEditor.CreateRectangle